Bug 1692970 - libQt5EglFSDeviceIntegration.so.5 is in the wrong subpackage
Summary: libQt5EglFSDeviceIntegration.so.5 is in the wrong subpackage
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: qt5-qtbase
Version: 8.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: 8.0
Assignee: Jan Grulich
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-26 19:12 UTC by Owen Taylor
Modified: 2020-11-14 11:07 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-05 20:58:47 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:3390 None None None 2019-11-05 20:58:52 UTC

Description Owen Taylor 2019-03-26 19:12:49 UTC
libQt5EglFSDeviceIntegration.so.5 is part of qt5-qtbase-devel, but is required by qt5-qt-base-gui.

  $ rpm -qp --requires qt5-qtbase-gui-5.11.1-5.el8.x86_64.rpm  | grep  libQt5EglFSDeviceIntegration.so.5
libQt5EglFSDeviceIntegration.so.5()(64bit)
  $ rpm -qp --provides qt5-qtbase-devel-5.11.1-5.el8.x86_64.rpm  | grep libQt5EglFSDeviceIntegration.so.5
libQt5EglFSDeviceIntegration.so.5()(64bit)

This means that qt5-qtbase-gui (and thus any GUI Qt application) ends up requiring qt5-qtbase-devel, and from there gcc-c++, cmake, and other heavyweight packages.

Comment 2 Jan Grulich 2019-05-22 09:00:08 UTC
Fixed with qt5-qtbase-5.11.1-7.el8.

Comment 6 errata-xmlrpc 2019-11-05 20:58:47 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:3390


Note You need to log in before you can comment on or make changes to this bug.